$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#studyGroupSelect [value='0']").attr('selected', 'selected');
    $('#gradeSelect').attr('disabled', 'disabled');
    $('#studyGroupSelect').attr('disabled', 'disabled');
    $('#inputGroupSubmit').attr('disabled', 'disabled');
    
// Выбор факультета
    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {

                $("#search_results").html('');
                $('#gradeSelect').removeAttr('disabled');
                $('#studyGroupSelect').attr('disabled', 'disabled');
                $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');
        }
        else
        {
                $('#gradeSelect').attr('disabled', 'disabled');
                $('#studyGroupSelect').attr('disabled', 'disabled');
        }
    });

    // Выбор курса
    $('#gradeSelect').change(function(){
        $("#search_results").html('');
        $('#studyGroupSelect').attr('disabled', 'disabled');
        $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');
        if (($('#gradeSelect option:selected').val()!= '0')) {
            
            $.post('/~dev_rating/handler/admStudents/getStudyGroups', 
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeNum': $('#gradeSelect option:selected').val()
            }, 
            function(data){
               $.each(data, function(i){
                    $("#studyGroupSelect").append('<optgroup label="'+data[i].SpecName+'">');
                    $.each(data[i].Groups, function(j)
                    {
                        $("#studyGroupSelect").append('<option value="'+data[i].Groups[j].ID+'">'+data[i].Groups[j].Num+' группа</option>');
                    });
                    $("#studyGroupSelect").append('</optgroup>');
                });
                $("#studyGroupSelect").removeAttr("disabled");
            }, "json");
                
        }
    });
    
    // Выбор группы
    $('#studyGroupSelect').change(function(){
        if (($('#studyGroupSelect option:selected').val()!= '0')) {
            $('#inputGroupSubmit').removeAttr('disabled');
        }
    }); 
    
    $('#inputGroupSubmit').click(function(){
        $('#inputGroupSubmit').attr('disabled', 'disabled');
        $.post('/~dev_rating/handler/admStudents/createStudent', 
        {
            'firstName': $('#firstName').val(),
            'secondName': $('#secondName').val(),
            'lastName': $('#lastName').val(),
            'gradeNum': $('#gradeSelect option:selected').val(),
            'groupNum': $('#studyGroupSelect option:selected').val(),
            'facultyID': $('#facultySelect option:selected').val()
        }, 
        function(data){
            $('.inputGroupMessages').html('<ul>');
            $.each(data.messages, function(i){
                $('.inputGroupMessages').append('<li>' + data.messages[i]);
            });
            $('.inputGroupMessages').append('</ul>');
            $('#inputGroupSubmit').removeAttr('disabled');
        }, "json");
    });
});