var $ = jQuery;
$(function() { 
	var tdClass = new Array();;
	var isFocusCell = false; // Стоит фокус или нет
	var oldRateCell;
	
	// Ставим фокус
	function tdFocus(thisObj, thisClass){
		tdClass = thisClass.split(' ');
		oldRateCell = thisObj.children('input').val();
		$('.'+tdClass[0]).each(function(){
			$(this).css('background-color', '#f1f1f1');
		});
		$('.'+tdClass[1]).each(function(){
			$(this).css('background-color', '#f1f1f1');
		});
	}
	
	// Убираем фокус
	function tdUnFocus(thisObj){
		oldRateCell = undefined;
		$('.'+tdClass[0]).each(function(){
			$(this).css('background-color', '#fff');
		});
		$('.'+tdClass[1]).each(function(){
			$(this).css('background-color', '#fff');
		});
	}
	
	function Rating(thisObj) {
		// Получаем подмодуль
		var reg = /col_\d+/;
		var col = ''+reg.exec(thisObj.attr('class'));
		SubmoduleID = $('.'+col+':first').attr('id');
		
		// Получаем студента
		var reg = /row_\d+/;
		var row = ''+reg.exec(thisObj.attr('class'));
		StudentID = $('.'+row+':first').attr('id');
		
		var edit = false; // Типа говорим, что балл нужно добавить, а не изменить
		if (-1 < thisObj.attr('class').indexOf('edit'))
			edit = true; // Типа изменить балл
		
		if (thisObj.children('input').val() != '')
			var NewRate = thisObj.children('input').val();
		else var NewRate = 0;
		var MaxRate = $('.'+col+':first').children('input').val();

		if (parseInt(NewRate) <= parseInt(MaxRate)) 
		{
			if (edit) {
				$.post('/~dev_rating/handler/rating/changeRate', {'student': StudentID, 'submodule': SubmoduleID, 'rate': NewRate },
					function(data){
						data = $.parseJSON(data);
						if(data.success === true)
							EventInspector_ShowMsg('Балл изменен', 'success');
						else EventInspector_ShowMsg('Не удалось изменить балл', 'error');
					}
				);
			}
			else {
				$.post('/~dev_rating/handler/rating/setRate', {'student': StudentID, 'submodule': SubmoduleID, 'rate': NewRate },
					function(data){
						data = $.parseJSON(data);
						if(data.success === true)
							EventInspector_ShowMsg('Балл добавлен', 'success');
						else EventInspector_ShowMsg('Не удалось добавить балл', 'error');
					}
				);
			}
		} 
		else {
			thisObj.children('input').val('0');
			EventInspector_ShowMsg('Текущий балл превышает максимальный для данного модуля', 'error');
		}
	}
	
	$('.rateCell').mouseenter(function(){
		if (isFocusCell == false)
			tdFocus($(this), $(this).attr('class'));
	});
	
	$('.rateCell').mouseleave(function(){
		if (isFocusCell == false)
			tdUnFocus($(this));
	});
	
	var OldRate = 0;
	$('.rateCell').focusin(function(){
		isFocusCell = true;
		tdFocus($(this), $(this).attr('class'));
		if ($(this).children('input').val() != '')
			OldRate = $(this).children('input').val();
		else OldRate = 0;
	});
	
	$('.rateCell').focusout(function(){
		isFocusCell = false;
		if ($(this).children('input').val() != '')
			var NewRate = $(this).children('input').val();
		else var NewRate = 0;
		if (NewRate != OldRate)
			Rating($(this));
		tdUnFocus($(this));
	});
	
	$('.rateCell').keydown(function(e){
		thisObj = $(this);
		if(e.keyCode==13)
		{
			// Получаем подмодуль
			var reg = /col_\d+/;
			var col = ''+reg.exec(thisObj.attr('class'));
			col = col.replace('col_', '');
			
			// Получаем студента
			var reg = /row_\d+/;
			var row = ''+reg.exec(thisObj.attr('class'));
			row = row.replace('row_', '');
			var NextRow = parseInt(row) + 1;
			
			// Ставим фокус след. элементу относительно столбика
			$('.row_' + NextRow + '.col_' + col + '.rateCell').children('input').focus();
		}
	});
	
	// При нажатие на элемент rateCell дочерный input получает фокус
	$('.rateCell ').click(function(){
		$(this).children('input').focus();
	} );
	
	// В inputCredit (где баллы вводить) разрешаем вводить только цифры
	$('.rateCell').children('input').keydown(function(event) {
		KeyDownOnlyNumber(event);
    });
	
    $(window).scroll(function () {
        if ($(this).scrollTop() > 160) {

        } else {

        }
    });
	
});
